Subject: Re: [patch net-next] switchdev: call bridge setlink/dellink ndos recursively

From: John Fastabend <[email-masked]>
Date: Mon, 16 Mar 2015 15:08:32 -0700

On 03/16/2015 07:22 AM, Jiri Pirko wrote:
> There has been a discussion about if it's better to let masters to
> propagate call down themself or if its better just blindly go down and
> try to call ndo on every lower netdev. Turned out that more people (me
> not included) like the second option better.
>
> This patch changes bridge setlink/dellink in that direction.
> Sorry Roopa for forcing you to do it the way I liked initially.
>
> Signed-off-by: Jiri Pirko <[email-masked]>

Hi Jiri,

I'm going to ask the dumb question here because it wasn't clear from
the emails I could dredge up.

Why do you want to do this? Can you add it to the commit message so
in the future it is clear. Specifically what does it mean to propagate
these calls down? Can you give a stacked example?

Thanks,
John

-- 
John Fastabend         Intel Corporation